# IRsUVEWidgetTool Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | SetPrototype ([in] BSTR bszPrototype)
HRESULT | GetPrototype ([out, retval] BSTR *pbszPrototype)
HRESULT | Raycast ([in] const RtUVcoord &coord,[out] RtDWORD *pNewElement,[out] RtFloat *pPriority)
HRESULT | GetCurrentHighlight ([out, retval] RtDWORD *pCurrentHighlight)
HRESULT | SetViewportData ([in] RtFloat zoom,[in] RtFloat aspect,[in] RtFloat panx,[in] RtFloat pany)
HRESULT | SetPlacement ([in] RtUVcoord center,[in] RtUVcoord extent)
HRESULT | SetDragged ([in] RtBool dragged)

## Detailed Description

Active widget part. Has its screen representation built from widget part prototype, processes mouse events and maintains position, and highlight state.

## Member Function Documentation

HRESULT IRsUVEWidgetTool::SetPrototype | ( | [in] BSTR | bszPrototype | ) |

Widget prototype part

HRESULT IRsUVEWidgetTool::GetPrototype | ( | [out, retval] BSTR * | pbszPrototype | ) |

Widget prototype part

HRESULT IRsUVEWidgetTool::Raycast | ( | [in] const RtUVcoord & | coord,
|  | [out] RtDWORD * | pNewElement,
|  | [out] RtFloat * | pPriority |
| ) |  |  |

Raycasts all contained parts and returns index of new element under the cursor together with its priority. If nothing found, -1 is returned in pNewElement

HRESULT IRsUVEWidgetTool::GetCurrentHighlight | ( | [out, retval] RtDWORD * | pCurrentHighlight | ) |

Returns index of currently highlighted widget part, -1 if none highlighted

HRESULT IRsUVEWidgetTool::SetViewportData | ( | [in] RtFloat | zoom,
|  | [in] RtFloat | aspect,
|  | [in] RtFloat | panx,
|  | [in] RtFloat | pany |
| ) |  |  |

Sets the viewport data

HRESULT IRsUVEWidgetTool::SetPlacement | ( | [in] RtUVcoord | center,
|  | [in] RtUVcoord | extent |
| ) |  |  |

Sets selection placement

HRESULT IRsUVEWidgetTool::SetDragged | ( | [in] RtBool | dragged | ) |

Sets dragged status. When dragged, only highlighted part of widget is rendered, others are invisible